type: collection.insomnia.rest/5.0
name: channel.solucoesdigitais.dev
meta:
  id: wrk_d0ec0d86248c44ffa338fd5dfb671253
  created: 1750870596177
  modified: 1750870596177
  description: ""
collection:
  - name: SMS
    meta:
      id: fld_34be50948b754df98915c5c5c26382f6
      created: 1750870918758
      modified: 1750870926446
      sortKey: -1750870918758
      description: ""
    children:
      - url: https://channel.solucoesdigitais.dev/sms/message/send-batch
        name: Send Batch
        meta:
          id: req_6ce12f89d81543a0b703124ca1407fb8
          created: 1750870635662
          modified: 1750870943524
          isPrivate: false
          description: ""
          sortKey: -1750870943506
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "messages": [
                    {
                        "key": "MSG-LOTE-001",
                        "recipient": "5500999999999",
                        "text": "sms lote 001"
                    },
                    {
                        "key": "MSG-LOTE-002",
                        "recipient": "5500999999999",
                        "text": "sms lote 002"
                    }
                ]
            }
        headers:
          - name: Content-Type
            value: application/json
            id: pair_f303ac96147148a3830c896a7799bea4
          - name: User-Agent
            value: insomnia/11.2.0
            id: pair_de4cf710db7a4322bfb6fb69f23c0267
          - id: pair_918c470b0c794f818262277727e8c425
            name: Authorization
            value: alpha  {{ _.TOKEN }}
            description: ""
            disabled: false
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
      - url: https://channel.solucoesdigitais.dev/sms/message/send
        name: Send Single
        meta:
          id: req_62d30c9d8ba0429ebb7ea08e3af673c6
          created: 1750870774929
          modified: 1750870945141
          isPrivate: false
          description: ""
          sortKey: -1750870943606
        method: POST
        body:
          mimeType: application/json
          text: |-
            {
                "key": "MSG-003",
                "text": "envio sms simples 003",
                "recipient": "5500999999999"
            }
        headers:
          - name: Content-Type
            value: application/json
            id: pair_8a66a1ab0ed446a7af5b36d207f13abb
          - name: User-Agent
            value: insomnia/11.2.0
            id: pair_617459fc611f4104b74f4f8046bb0200
          - id: pair_4f4f3b28c44e49278ef42c9398343ea5
            name: Authorization
            value: alpha {{ _.TOKEN }}
            description: ""
            disabled: false
        settings:
          renderRequestBody: true
          encodeUrl: true
          followRedirects: global
          cookies:
            send: true
            store: true
          rebuildPath: true
cookieJar:
  name: Default Jar
  meta:
    id: jar_c8ef470cdff56fde798d43cce05c5244c4b49a6c
    created: 1750870596180
    modified: 1750870596180
environments:
  name: Base Environment
  meta:
    id: env_c8ef470cdff56fde798d43cce05c5244c4b49a6c
    created: 1750870596179
    modified: 1750871032116
    isPrivate: false
  data:
    TOKEN: ""
